%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbosgi-metadata
Version:          3.0.0
Release:          %mkrel 2
Group:            Development/Java
Summary:          JBoss OSGi Metadata
License:          LGPLv2+ and LGPLv2 and ASL 2.0
URL:              http://community.jboss.org/wiki/JBossOSGi
Source0:          https://github.com/jbosgi/jbosgi-metadata/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    jbosgi-parent
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    eclipse-equinox-osgi
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    shrinkwrap

%description
This package contains the JBoss OSGi Metadata.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_remove_dep "org.osgi:org.osgi.core"
%pom_add_dep "org.eclipse:osgi"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 3.0.0-2.mga4
+ Revision: 541779
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 3.0.0-1.mga4
+ Revision: 496450
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.0.3-4.mga3
+ Revision: 354900
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 2.0.3-3.mga3
+ Revision: 331757
- imported package jbosgi-metadata


* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 12 2012 Marek Goldmann <mgoldman@redhat.com> 2.0.3-2
- Fixed License tag

* Wed Jun 06 2012 Marek Goldmann <mgoldman@redhat.com> 2.0.3-1
- Initial packaging
